<div id="model-dup" class="modal fade" role="dialog">
    <div class="modal-dialog">


        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal">&times;</button>
                <center><h4 class="modal-title">DUPLIQUER STAGE </h4></center>

                <div class="alert alert-block alert-success message_flash_success1" style="display: none;"></div>
                <div class="alert alert-block alert-danger message_flash_error1" style="display: none;"></div>
 <div class="alert alert-block alert-info message_flash_info1" style="display: none;">

            </div>


            </div> 
            <form id="dup_group" action="{#{ path('etu_group') }#}">
                <div class="modal-body"> 

                    <div class="row">
                        <input type="hidden" name="group" value="{{group.id}}">









                        <div class="col-xs-3"><label> Date Début : </label></div>
                        <div class="col-xs-9">
                            <input type="date" id="dateDebut" name="dateDebut" required="required" class=" form-control " >

                            <span class="help-inline col-xs-12 col-sm-7">
                                <span class="middle error_form"></span>
                            </span>
                        </div>


                        <br/> <br/> <br/> 
                        <div class="col-xs-3"><label> Date Fin : </label></div>
                        <div class="col-xs-9">
                            <input type="date" id="dateFin" name="dateFin" required="required" class=" form-control " >

                            <span class="help-inline col-xs-12 col-sm-7">
                                <span class="middle error_form"></span>
                            </span>
                        </div>

                    </div>


                </div>
                <div class="modal-footer">
                    <button type="Submit" class="bs btn btn-success" >Dupliquer</button>
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Fermer</button>
                </div>
            </form>
        </div> </div> </div>

<script>
    /*  $('.bs').click(function (e) {
     //alert('rr');
     var i = 0;
     var c= $( "#group option:selected" ).val();
     var arr = [];
     $('.ads_Checkbox:checked').each(function(){
     arr[i++] = $(this).val();
     });
     arr[i++] =$( "#group option:selected" ).val();
     $.each({ arr}, function( k, v ) {
     alert( "Key: " + k + ", Value: " + v +"select : "+c );
     })
     
     
     
     
     $.ajax({
     type: 'GET',
     url: Routing.generate('etu_group',{table:arr}), 
     //data: arr,
     success: function (result) {
     $('.message_flash_success').html(result);
     
     }
     });
     
     // alert(arr);
     
     
     
     
     //e.preventDefault();
     });*/



    $('#dup_group').submit(function (e) {

        //  alert('hello');
         $(".message_flash_error1").hide();
        $(".message_flash_success1").hide();
        $(".message_flash_info1").show().html("<p> <i class='ace-icon fa fa-spinner fa-spin blue bigger-125'></i> veuillez patienter traitement en cours...</p>");
        var dta = new FormData(this);

        //alert(dta);
        if (dta) {
            $.ajax({
                type: 'POST',
                url: "{{ path('gr_dup') }}",
                data: dta,
                processData: false,
                contentType: false,
                success: function (result) {
                    var parsed = jQuery.parseJSON(result);
                     $(".message_flash_info1").hide();
                    if (parsed.e == 1) {
                        $(".message_flash_success1").show().html("<button type='button' class='close' data-dismiss='alert'><i class='ace-icon fa fa-times'></i></button>" + parsed.data);
                        setTimeout(function () {
                            $('.message_flash_success1').fadeOut();
                            location.reload();
                        }, 2000);
                    } else
                    {
                        $(".message_flash_success1").hide();
                         $(".message_flash_info1").hide();
                        $(".message_flash_error1").show().html(parsed.data);
                    }


                }
            });
        }

        e.preventDefault();

    });


</script>
